Name:          accounts-qt
Version:       1.16
Release:       1mamba
Summary:       Qt bindings to the Accounts & SSO framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://code.google.com/p/accounts-sso/
Source:        https://gitlab.com/accounts-sso/libaccounts-qt.git/VERSION_%{version}/libaccounts-qt-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libaccounts-glib-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Qt bindings to the Accounts & SSO framework.

%package -n lib%{name}5
Group:         System/Libraries
Summary:       Qt5 bindings to the Accounts & SSO framework

%description -n lib%{name}5
Qt5 bindings to the Accounts & SSO framework.
This package contains shared libraries for %{name}.

%package -n lib%{name}5-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name}5 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}5-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n libaccounts-qt-%{version}

%build
mkdir build
cd build
%{_qt5_qmake} CONFIG+="nostrip" LIBDIR=%{_libdir} ..

%make
#sub-Accounts

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build INSTALL_ROOT=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}5 -p /sbin/ldconfig
%postun -n lib%{name}5 -p /sbin/ldconfig

%files -n lib%{name}5
%defattr(-,root,root)
%{_libdir}/libaccounts-qt5.so.*
%doc COPYING

%files -n lib%{name}5-devel
%defattr(-,root,root)
%{_bindir}/accountstest
%dir %{_includedir}/accounts-qt5
%dir %{_includedir}/accounts-qt5/Accounts
%{_includedir}/accounts-qt5/Accounts/*
%{_libdir}/cmake/AccountsQt5/AccountsQt5Config.cmake
%{_libdir}/cmake/AccountsQt5/AccountsQt5ConfigVersion.cmake
%{_libdir}/libaccounts-qt5.so
%{_libdir}/pkgconfig/accounts-qt5.pc
%dir %{_datadir}/doc/accounts-qt
%dir %{_datadir}/doc/accounts-qt/html
%{_datadir}/doc/accounts-qt/html/*
%dir %{_datadir}/doc/accounts-qt/qch
%{_datadir}/doc/accounts-qt/qch/*
%doc TODO

%changelog
* Sat Jan 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16-1mamba
- update to 1.16

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-1mamba
- update to 1.13
- added qt5 subpackages

* Wed May 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-1mamba
- package created using the webbuild interface
